Subject: RE: [Enum] Re: draft-ietf-enum-e164-dns-03.txt

From: "Rosbotham, Paul" <[email-masked]>
Date: Thu, 10 Aug 2000 16:47:05 +0100

Not at all an expert on DNS, but would tend to agree with Bert on this.  I
thought the very fact that the query is to domain e164.arpa indicates that
the number is E.164, not a private numbering plan etc.  Therefore, the "+"
seems redundant.  My assumption had been that if a non-E.164 number were
offered, a different domain would be used.

The E.164 number doesn't contain the "+", it's added for readability reasons
to remind the caller that (s)he'd better add 00, 011 or whatever is used
locally (mobiles actually let you key "+" in many countries).  Internal to
the network, the E.164 number carried is just the digits, not with a leading
"+".  Of course, there is the luxury in the switched network of having a
nature of address field to indicate what type of number it is (national or
international), but we won't go into that...

Andy G is right when he says that the "+" aids readability, but that's at a
user interface level and I thought we were talking about protocol internals
here.

Not going to die in a ditch over this, but it does seem to me that if you
have a domain of e164.arpa, e164 numbers only should be used...

Paul

> -----Original Message-----
> From:	Manfredi, Albert E [SMTP:[email-masked]]
> Sent:	10 August 2000 14:49
> To:	'Hong Liu'
> Cc:	[email-masked]'
> Subject:	RE: [Enum] Re: draft-ietf-enum-e164-dns-03.txt
> 
> > -----Original Message-----
> > From: Hong Liu [mailto:[email-masked]]
> >
> > Andy,
> > 
> > Thanks for the clarification. I agree with you that from a 
> > user perspective, "+" means
> > more than just for readability.
> > 
> > The problem we are discussing here is whether "+" is needed 
> > for ENUM process given the
> > fact that the input is a canonical E.164 number already. I 
> > would like to hear from you
> > and others. Thanks!
> 
> IMO, the + is nice, but isn't enough if we really want to think of this +
> as
> a way to distinguish e.164 from some other numbering schemes we might want
> to implement in DNS the future.
> 
> If the DNS query is made to domain e164.arpa, perhaps use of the + is
> redundant and not particularly helful for the future anyway?
> 
> Bert
> [email-masked]
> 
> _______________________________________________
> enum mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/enum

**********************************************************************
This message may contain information which is confidential or privileged.
If you are not the intended recipient, please advise the sender immediately
by reply e-mail and delete this message and any attachments
without retaining a copy.  

**********************************************************************

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum